[ubuntu/groovy-proposed] klettres 4:20.04.0-1 (Accepted)

Rik Mills rik.mills88 at gmail.com
Sun May 3 09:45:10 UTC 2020


klettres (4:20.04.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch Vcs-* fields to salsa.debian.org.
  * Update watch file to the new release-service location.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.5
    - bump the Qt5 packages to 5.11.0
    - bump the KF5 packages to 5.46.0
    - drop libkf5completion-dev, and libkf5emoticons-dev, no more needed
    - explicitly add gettext
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - manually force the generation of the substvars for the kde-l10n breaks
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages.
  * Update install files.
  * Use https for Format in copyright.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Let dh_auto_test run, as there is a test which seems to work fine.

Date: 2020-05-02 04:30:25.644278+00:00
Signed-By: Rik Mills <rik.mills88 at gmail.com>
https://launchpad.net/ubuntu/+source/klettres/4:20.04.0-1
-------------- next part --------------
Sorry, changesfile not available.


More information about the Groovy-changes mailing list